package dev.shadowsoffire.apotheosis.village.fletching.arrows;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.village.fletching.arrows.IApothArrowItem;
import dev.shadowsoffire.apotheosis.village.fletching.arrows.ObsidianArrowEntity;
import java.util.List;
import net.minecraft.ChatFormatting;
import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.projectile.AbstractArrow;
import net.minecraft.world.item.ArrowItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.level.Level;
import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;

public class ObsidianArrowItem extends ArrowItem implements IApothArrowItem {
  public ObsidianArrowItem(Item.Properties props) {
    super(props);
  }
  
  public AbstractArrow m_6394_(Level world, ItemStack stack, LivingEntity shooter) {
    return (AbstractArrow)new ObsidianArrowEntity(shooter, world);
  }
  
  @OnlyIn(Dist.CLIENT)
  public void m_7373_(ItemStack stack, Level worldIn, List<Component> tooltip, TooltipFlag flagIn) {
    tooltip.add(Component.m_237115_("info.apotheosis.obsidian_arrow").m_130940_(ChatFormatting.BLUE));
  }
  
  public AbstractArrow fromDispenser(Level world, double x, double y, double z) {
    ObsidianArrowEntity obsidianArrowEntity = new ObsidianArrowEntity(world, x, y, z);
    ((AbstractArrow)obsidianArrowEntity).f_36705_ = AbstractArrow.Pickup.ALLOWED;
    return (AbstractArrow)obsidianArrowEntity;
  }
}
